2010年02月19日 65条评论

WordPress 2.9 有 bug,建议升级到 2.9.2

自从我的博客上次由于原 VPS 主机遭到攻击急忙换了主机后,就有几个插件一直工作不正常,我所使用的插件中就是下面几个插件工作不正常:

  • XML-Sitemap插件无法自动更新、生成。
  • Baidu Sitemap Generator插件无法自动更新、生成。
  • WordPress Database Backup定期备份数据失效,只能手动备份。

WordPress Database Backup 插件不能自动备份我一直以为是主机问题,但手动备份又没有问题,所以一直纳闷。害我这一个多月来我一直只能手动备份数据库,这个烦啊。

而 XML-Sitemap 和 Baidu Sitemap Generator 插件我一直到今天才知道根本就没更新过。

还有一个现象,就是 Pingback 问题,WLW 和 WP 后台我是设置了同样的 Pingback,我用 Windows Live Writer(WLW) 发文章能及时通知 FeedBurner 抓取,但用 WP 后台发文章就不能,FeedBurner 更新很慢。

今天又突然想到很久没备份数据库了,去 phpmyadmin 里面备份,感觉相当烦。于是认真思考一下,怎么这几个插件都是“自动”失效呢?于是放狗搜。

不搜不知道,一搜吓一跳,原来是 WordPress 2.9 的 bug,难怪这么快就放出 2.9.1,我简单总结一下,目前知道的 2.9 引起的问题如下:

  • XML-Sitemap插件无法自动更新、生成。
  • Baidu Sitemap Generator插件无法自动更新、生成。
  • WP Super Cache不能自动清除已过期缓存,淤积大量缓存文件。
  • WordPress Database Backup定期备份数据失效,只能手动备份。
  • wordpress的Pingback功能失效。

总而言之,wordpress 2.9的“自动”功能失去作用了。所以建议还在使用 WordPress 2.9,而且使用了上面所说的插件的朋友升级到 2.9.2,最起码要 2.9.1。

zww
or
oooo

“WordPress 2.9 有 bug,建议升级到 2.9.2”有65条评论

  1. Kars says:

    =.= 偶用 2.9.1 淡━━━━━━━( ̄ー ̄*|||━━━━━━━━定

  2. 章鱼 says:

    沙发木了

  3. 章鱼 says:

    XML-Sitemap
    WordPress Database Backup能自动备份啊 昨天还发到我邮箱呢

    1. zwwooooo says:

      @章鱼 应该不是全部都会,如果你安装过而且更改了一些设置就会出现问题

  4. Firm says:

    这两天刚升 :mrgreen:

  5. Showfom says:

    :lol: 早升级了哈哈

    1. zwwooooo says:

      @Showfom 我以为能偷懒 - -

  6. 哇嘎嘎...再等等好了...目前暂时还可以用...

    这个2.9.2有啥新功能没

    1. zwwooooo says:

      @混乱羽翼 一般小版本号都是修正一些bug,具体什么新功能没关注

  7. 万戈 says:

    我就是2.9.1,安心使用中~

    1. zwwooooo says:

      @万戈 看来官方发布一个大版本,随即不久就发布小版本,就说明有bug了

  8. 纯粹 says:

    看来我升级算了,还2.86呢

    1. zwwooooo says:

      @纯粹 如果没有问题也不需要升级啦

  9. Timothy says:

    还是ZWW同学细心,偶向来都是不管有没Bug,直接升级完事,呵呵

    1. zwwooooo says:

      @Timothy 我懒,想不更新都难 :lol:

  10. reizhi says:

    你说的这几个BUG我还都没遇到
    VPS很强大

    1. zwwooooo says:

      @reizhi 没遇到最好

  11. 苏扬 says:

    不管他了 我用PJ 哈哈 怎么BUG都没我的事。。 :mrgreen:

    1. zwwooooo says:

      @苏扬 的确,但我不喜欢PJ,哈

  12. 久酷 says:

    原来大叔用的老版本

    1. zwwooooo says:

      @久酷 也不是很老,以前vps时是最新的2.9 :lol:

  13. popo says:

    WordPress 2.9.2 中 :wink:

  14. 老饕 says:

    我一直都跟着更新~ :smile:

    1. zwwooooo says:

      @老饕 我要修改源文件,所以不能老是跟着更新

  15. 仁兄 says:

    WP更新太频繁了

    1. zwwooooo says:

      @仁兄 更新频繁说明有2个方面:1是bug太多,2是生命力旺盛

  16. 歪歪 says:

    3.0嘛时候出啊 :evil:

    1. zwwooooo says:

      @歪歪 这个去问问WP官方吧 :mrgreen:

  17. 星网 says:

    Baidu Sitemap Generato 和骨骼的那个插件是不是一个功能的插件?

    1. zwwooooo says:

      @星网 功能一样,对象不一样。

  18. Vicia says:

    博客改动太多,先不升级了。我用的好像是2.9.1,不记得了。- -

    1. zwwooooo says:

      @Vicia 没问题可以不升级,我是遇到了问题不得不升级,而且这个问题不是我一个人遇到。

  19. hzlzh says:

    我还是2.9.0 怎么没遇到插件失效的问题?

    1. zwwooooo says:

      @hzlzh 你RP好啊,这是好事 :mrgreen:

  20. countmeon says:

    哈哈 原来你一直用2.9啊 这个是有问题,不过现在升级应该没问题了吧。我过年回来了 哈哈 过年好啊

    1. zwwooooo says:

      @countmeon 升级了应该没问题了,我看插件能生成配置文件了,今晚就知道了

发表评论

昵称 *

网址

B em del U Link Code Quote